#include <bits/stdc++.h>
using namespace std;
string s;
int a1,a2;
char c1,c2;
int razlika;
string resenje;
int dokle;
int main(){
    cin>>s;
    scanf("%d %d", &a1, &a2);
    if(a1>=a2){
        c1=s[0];
        c2=s[1];
    }
    else{
        c1=s[1];
        c2=s[0];
    }
    razlika=abs(a1-a2);
    if(razlika>=2){
        cout<<"nemoguce"<<endl;
    }
    else{
        dokle=(a1+a2);
        for(int i=1;i<=dokle;i++){
            if(i%2==0){
                resenje.push_back(c2);
            }
            else{
                resenje.push_back(c1);
            }
        }
        cout<<resenje<<endl;
    }



return 0;}